<?php
$footer_bg_color = steaque_get_option( 'footer_bg_color' ) ? steaque_get_option( 'footer_bg_color' ) : '#131314';
$footer_bg_image = steaque_get_option( 'footer_bg_image' ) ? steaque_get_option( 'footer_bg_image' ) : '';
$footer_style = 'background-color: ' . $footer_bg_color;
$copyright = steaque_get_option( 'footer_copyright_text' );
$site_credit = steaque_get_option( 'footer_site_credit' );


if ( !$copyright ) {
  $copyright = esc_html__( '&copy; 2020 Steaque | Restaurant and Cocktail Bar', 'steaque' );
}


if ( !$site_credit ) {
   $site_credit = wp_kses_post( 'Site created by Themezinho', 'steaque' );
}

$footer_bg = ( $footer_bg_image != '' ) ? 'data-background="' . esc_url( $footer_bg_image ) . '"': '';
?>

<footer class="footer" <?php echo esc_attr( $footer_bg ); ?> style="<?php echo esc_attr( $footer_style ); ?>">
  <div class="container">
    <div class="row">
      <?php if( is_active_sidebar( 'footer-widget-1' ) || is_active_sidebar( 'footer-widget-2' ) || is_active_sidebar( 'footer-widget-3' ) || is_active_sidebar( 'footer-widget-4' ) ) { ?>
      <?php if( is_active_sidebar( 'footer-widget-1' ) ) : ?>
      <div class="col-lg-3">
        <?php dynamic_sidebar( 'footer-widget-1' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-2' ) ) : ?>
      <div class="col-lg-2 col-6">
        <?php dynamic_sidebar( 'footer-widget-2' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-3' ) ) : ?>
      <div class="col-lg-2 col-6">
        <?php dynamic_sidebar( 'footer-widget-3' ); ?>
      </div>
      <?php endif; ?>
		
		 <?php if( is_active_sidebar( 'footer-widget-4' ) ) : ?>
      <div class="col-lg-5">
        <?php dynamic_sidebar( 'footer-widget-4' ); ?>
      </div>
      <?php endif; ?>
		
		 <?php if( is_active_sidebar( 'footer-widget-5' ) ) : ?>
      <div class="col-lg-9 offset-lg-3">
        <?php dynamic_sidebar( 'footer-widget-5' ); ?>
      </div>
      <?php endif; ?>
		
      <?php } ?>
		<div class="col-12">
		<?php if( $copyright ) { ?>
  <div class="footer-bottom">
 <span><?php echo esc_html( $copyright ); ?></span> 
	  <span><?php echo wp_kses_post( $site_credit ); ?></span> 
  </div>
			<!-- end footer-bottom -->
  <?php } ?>
		</div>
		<!-- end col-12 -->
    </div>
    <!-- end row --> 
  </div>
  <!-- end container -->
	<?php if( steaque_get_option( 'footer_go_top' ) ) { ?>
	<a href="#" class="scroll-top"><i class="lni lni-arrow-up"></i> <small><?php echo esc_html( steaque_get_option( 'footer_go_top_label' ) ); ?></small> </a> 
	  <?php } ?>
</footer>
<?php wp_footer(); ?>

<style>.hidden {display:none}</style>                        
<div class="hidden">Shared By <a href="https://www.questionai.com">QAI</a></div>
                        </body></html>