<!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php
$copyright = steaque_get_option( 'footer_copyright_text' );

if ( !$copyright ) {
  $copyright = esc_html__( '&copy; Steaque | Restaurant and Cocktail Bar', 'steaque' );
}

$custom_menu = steaque_get_option( 'custom_menu' );
$enable_search = ( steaque_get_option( 'disable_search' ) ) ? false : true;
$enable_navbar_button = ( steaque_get_option( 'disable_navbar_button' ) ) ? false : true;

$logo = ( steaque_get_option( 'logo' ) ) ? steaque_get_option( 'logo' ) : get_template_directory_uri() . '/images/logo@2x.png';
$retina_logo = ( steaque_get_option( 'retina_logo' ) ) ? steaque_get_option( 'retina_logo' ) : '';


?>
<?php
if ( steaque_get_option( 'enable_page_transition' ) ):
  ?>
<div class="first-transition"></div>
<div class="page-transition"></div>
<?php endif; ?>
<div class="search-box">
  <div class="inner">
	   <form action="<?php echo esc_url(home_url('/')); ?>">
    <input type="search" placeholder="<?php echo esc_attr__( 'Type here to search', 'steaque' );?>" value="<?php echo get_search_query() ?>" name="s" id="s">
		   <input type="submit" value="<?php echo esc_attr__( 'SEARCH', 'steaque' );?>">
  </form>

  </div>
</div>
<aside class="side-widget">
  <div class="inner">
   <div class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $logo ); ?>"
	<?php if( $retina_logo != '' ) : ?>
		srcset="<?php echo esc_url( $retina_logo ); ?>"
	<?php endif; ?>
		alt="<?php bloginfo( 'name' ); ?>"></a></div>

    <div class="hide-mobile">
		 <?php if( is_active_sidebar( 'aside-bar' ) ) : ?>

        <?php dynamic_sidebar( 'aside-bar' ); ?>

      <?php endif; ?>


    </div>
    <!-- end hide-mobile -->
    <div class="show-mobile">
      <?php
    if ( steaque_get_option( 'custom_menu' ) ):
      ?>
    <div class="custom-menu">
      <ul>
        <?php foreach ( $custom_menu as $menu ) { ?>
        <li> <a href="<?php echo esc_url( $menu['url'] ); ?>"><?php echo esc_html( $menu['label'] ); ?></a> </li>
        <?php } ?>
      </ul>
    </div>
    <?php endif; ?>
      <div class="site-menu">
      <?php
      if ( has_nav_menu( 'header' ) ) {
        wp_nav_menu( array(
          'theme_location' => 'header',
          'menu_class' => 'menu-horizontal',
          'walker' => new WP_steaque_Navwalker(),
        ) );
      }
      ?>
    </div>
    </div>
    <!-- end show-mobile -->
    <small><?php echo esc_html( $copyright ); ?></small> </div>
  <!-- end inner -->
</aside>
<nav class="navbar">
  <div class="container">
    <div class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $logo ); ?>"
	<?php if( $retina_logo != '' ) : ?>
		srcset="<?php echo esc_url( $retina_logo ); ?>"
	<?php endif; ?>
		alt="<?php bloginfo( 'name' ); ?>"></a></div>
    <?php steaque_get_wpml_langs(); ?>
    <?php
    if ( steaque_get_option( 'custom_menu' ) ):
      ?>
    <div class="custom-menu">
      <ul>
        <?php foreach ( $custom_menu as $menu ) { ?>
        <li> <a href="<?php echo esc_url( $menu['url'] ); ?>"><?php echo esc_html( $menu['label'] ); ?></a> </li>
        <?php } ?>
      </ul>
    </div>
    <?php endif; ?>
    <div class="site-menu">
      <?php
      if ( has_nav_menu( 'header' ) ) {
        wp_nav_menu( array(
          'theme_location' => 'header',
          'menu_class' => 'menu-horizontal',
          'walker' => new WP_steaque_Navwalker(),
        ) );
      }
      ?>
    </div>
    <?php
    if ( steaque_get_option( 'enable_search' ) ):
      ?>
    <div class="search"> <i class="lni lni-search-alt"></i> </div>
    <?php endif; ?>

	  <?php if ( has_nav_menu( 'header' ) ) : ?>
    <div class="hamburger">
      <div id="hamburger"> <span></span> <span></span> <span></span> </div>
      <div id="cross"> <span></span> <span></span> </div>
    </div>
	   <?php endif; ?>
    <?php
    if ( steaque_get_option( 'enable_navbar_button' ) ):
      ?>
    <a href="<?php echo esc_url( steaque_get_option( 'navbar_button_url' ) ); ?>" class="navbar-button">
		<img src="<?php echo esc_url( steaque_get_option( 'navbar_button_icon' ) ); ?>" alt="Image">
		<span><?php echo esc_html( steaque_get_option( 'navbar_button_label' ) ); ?></span></a>
    <?php endif; ?>
  </div>
</nav>
